=== debian/changelog ===
spectemu (0.94a-23) unstable; urgency=medium

  * Update `dpkg-buildflags --export=configure` to `--export=cmdline`.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Nov 2025 19:30:04 +0000

spectemu (0.94a-22) unstable; urgency=medium

  * Apply X-Style: black.
  * Fix Makefile dependencies between install targets.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Dec 2024 17:05:01 +0000

spectemu (0.94a-21) unstable; urgency=medium

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.
  * Upgrade to debhelper v13.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 01:30:04 +0000

spectemu (0.94a-20) unstable; urgency=medium

  [ Colin Watson ]
  * Move VCS to salsa.debian.org.

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Oct 2018 16:32:39 +0100

spectemu (0.94a-19) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Use HTTPS for Vcs-* URLs.
  * Use dh-exec to simplify override_dh_install target.

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Dec 2016 14:52:55 +0000

spectemu (0.94a-18) unstable; urgency=medium

  * Switch to git; adjust Vcs-* fields.
  * Add a couple more <stdlib.h> inclusions for exit().

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jan 2014 06:37:16 +0000

spectemu (0.94a-17) unstable; urgency=low

  [ Colin Watson ]
  * Build-depend on debhelper (>= 9~) directly rather than requiring a
    Lintian override for use of 8.9.0.

  [ Moritz Muehlenhoff ]
  * Remove the spectemu-svga package, since svgalib is scheduled for removal
    (closes: #711115).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Jun 2013 16:49:20 +0100

spectemu (0.94a-16) unstable; urgency=low

  * Use dh-autoreconf.
  * Remove config-guess-sub.patch in favour of updating config.guess and
    config.sub automatically at build time.  dh_autoreconf does not take
    care of that by default because spectemu does not use automake.

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 Feb 2013 19:27:10 +0000

spectemu (0.94a-15) unstable; urgency=low

  * Fix passing of build flags to utils/Makefile.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 14:06:14 +0100

spectemu (0.94a-14) unstable; urgency=low

  * Drop -ltermcap rather than unnecessarily build-depending on
    libncurses5-dev.  Thanks, Sven Joachim.

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Oct 2011 11:12:10 +0100

spectemu (0.94a-13) unstable; urgency=low

  * Explicitly build-depend on libncurses5-dev, since libreadline6-dev no
    longer depends on it.
  * Use dpkg-buildflags and debhelper 9 to set default compiler flags.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Oct 2011 13:03:28 +0100

spectemu (0.94a-12) unstable; urgency=low

  * Use architecture restriction in spectemu-common's Suggests field rather
    than a substvar; this is sanctioned by policy 3.9.1.
  * Update Vcs-Bzr field for Alioth changes.

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Jul 2011 13:44:12 +0100

spectemu (0.94a-11) unstable; urgency=low

  * Convert to source format 3.0 (quilt) and DEP-3 patch tagging.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 May 2010 13:38:05 +0100

spectemu (0.94a-10) unstable; urgency=low

  * Build-depend on libreadline-dev, not libreadline5-dev (closes: #553856).
  * Use 'dh_installdocs --link-doc' option from debhelper 7.4.2.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Feb 2010 14:23:29 +0000

spectemu (0.94a-9) unstable; urgency=low

  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Imported into a branch on bzr.debian.org; add Vcs-Bzr control field.
  * Convert to debhelper 7. I made extensive use of override targets, so
    this requires 7.0.50.
  * Build-depend on x11proto-core-dev rather than the transitional x-dev
    package.
  * Quote value of needs= in spectemu-svga.menu.
  * Update config.guess and config.sub from autotools-dev 20090611.1.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Sep 2009 01:58:23 +0100

spectemu (0.94a-8) unstable; urgency=low

  * Build-depend on libsvga1-dev rather than svgalibg1-dev, and build
    spectemu-svga for amd64 too (closes: #483448).

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 May 2008 22:04:57 +0100

spectemu (0.94a-7) unstable; urgency=low

  * Use autotools-dev's recommended ./configure options to set the host
    type.

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Nov 2007 08:27:23 +0000

spectemu (0.94a-6) unstable; urgency=low

  * Update to section structure from menu 2.1.35.
  * Capitalise title fields in menu files, add longtitle fields, and add
    "(SVGA)" to spectemu-svga's menu file.
  * Use the ${binary:Version} substvar rather than ${Source-Version}.
  * Don't ignore 'make clean' errors other than a missing Makefile.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Jul 2007 12:34:13 +0100

spectemu (0.94a-5) unstable; urgency=low

  * Build-depend on x-dev, libx11-dev, libxt-dev, and libxext-dev rather
    than the transitional xlibs-dev package.
  * Use debhelper v4.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Dec 2005 13:16:04 +0000

spectemu (0.94a-4) unstable; urgency=low

  * Build-depend on libreadline5-dev (closes: #326277).
  * Drop old HAVE_CONFIG_H workaround; bug #125398 was fixed a long time
    ago.
  * Update config.guess and config.sub from autotools-dev 20050803.1.
  * Include <stdlib.h> in spconf.c for exit().

 -- Colin Watson <cjwatson@debian.org>  Sat,  3 Sep 2005 23:04:13 +0100

spectemu (0.94a-3) unstable; urgency=low

  * Set CXX to g++, not gcc (closes: #270651).
  * Quote values in menu file.

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Sep 2004 18:43:38 +0100

spectemu (0.94a-2) unstable; urgency=low

  * Drop versioned fileutils dependency from before potato; coreutils
    provides that now anyway (closes: #175711).


