=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND := -Wall
export DEB_CXXFLAGS_MAINT_APPEND := -Wall

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --datadir=/etc --with-readline

override_dh_auto_build:
	$(MAKE) all tapeout
	$(MAKE) $(shell dpkg-buildflags --export=cmdline) -C utils

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) realclean
	$(MAKE) -C utils clean

override_dh_auto_install:
	# The upstream Makefile's install rule doesn't honour DESTDIR.
	dh_auto_install -- \
		prefix=$(CURDIR)/debian/tmp/usr \
		datadir=$(CURDIR)/debian/tmp/etc/spectemu

override_dh_installdocs:
	dh_installdocs --link-doc=spectemu-common
